import request from '/@/utils/request';

export function gasManageApi() {
    return {

        //气体分页列表
        getGasPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasCategory/page`,
                method: 'post',
                data: data
            });
        },

        //气体不分页
        getGas: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasCategory/list`,
                method: 'post',
                data: data
            });
        },

        //气体新增
        addGas: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasCategory/add`,
                method: 'post',
                data: data
            });
        },
    };
}
